For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList actions for an object
        • POSTCreate an action on an object
        • GETRetrieve an action
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationActions

List actions for an object

GET
https://api.middesk.com/v1/actions
GET
/v1/actions
$curl -G https://api.middesk.com/v1/actions \
> -H "Authorization: Bearer <token>" \
> -d object_type=businesses \
> -d object_id=object_id
1{
2 "object": "list",
3 "data": [
4 {
5 "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
6 "type": "add_sources",
7 "object_type": "Business",
8 "object_id": "b1c2d3e4-5678-90ab-cdef-1234567890ab",
9 "created_at": "2026-01-15T12:00:00Z",
10 "effects": [
11 {
12 "operation": "created",
13 "diff": null,
14 "target": {
15 "object": "faa_airmen_certificate",
16 "id": "c1d2e3f4-5678-90ab-cdef-1234567890ab"
17 }
18 }
19 ],
20 "actors": [
21 {
22 "actor_type": "account",
23 "data": {
24 "id": "d1e2f3a4-5678-90ab-cdef-1234567890ab",
25 "name": "Example Account"
26 }
27 },
28 {
29 "actor_type": "run",
30 "data": {
31 "id": "66666666-7777-8888-9999-000000000000",
32 "thread_id": "11111111-2222-3333-4444-555555555555",
33 "status": "running",
34 "agent": "address_verification"
35 }
36 }
37 ],
38 "note": "Adding government verification source",
39 "metadata": {
40 "key": "value"
41 }
42 }
43 ],
44 "url": "url"
45}
Was this page helpful?
Previous

Create an action on an object

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

object_typeenumRequired
Type of object to list actions for
Allowed values:
object_idstringRequired
ID of the object to list actions for

Response

actions with effects and actors
objectstring
datalist of objects
urlstring

Errors

400
List Actions Request Bad Request Error